microsoft-foundry.rest.security.o-auth2-auth
Agent Session Files
Delete a session file
DELETE
/agents/{agent_name}/endpoint/sessions/{agent_session_id}/files
Deletes the specified file or directory from the session sandbox.
When recursive is false, deleting a non-empty directory returns 409 Conflict.
Parámetros de la ruta de acceso
agent_name
string
requerido
The name of the agent.
agent_session_id
string
requerido
The session ID.
Parámetros de consulta
path
string
requerido
The file or directory path to delete, relative to the session home directory.
recursive
boolean
Whether to recursively delete directory contents. The service defaults to false if a value is not specified by the caller.
api-version
string
requerido
The API version to use for this operation.
Respuestas
There is no content to send for this request, but the headers may be useful.
Solicitar
DELETE /agents/{agent_name}/endpoint/sessions/{agent_session_id}/files HTTP/1.1
Respuesta
Status: 204
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json